package LasTres::Schema::Result::SkillLikeItem;

use v5.36.0;

use strict;
use warnings;

use parent 'DBIx::Class::Core';

__PACKAGE__->table('skill_like_items');

__PACKAGE__->add_columns(
    identifier => {
        data_type => 'text',
        is_nullable => 0,
    },
    owner_list => {
        data_type => 'uuid',
        is_nullable => 0,
    },
    level => {
        data_type => 'integer',
        is_nullable => 0,
        default_value => \'1',
    }
);
__PACKAGE__->set_primary_key('identifier', 'owner_list');
__PACKAGE__->belongs_to('owner_list', 'LasTres::Schema::Result::SkillLikeList');
1;
